package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2020/4/16
 */
public enum  TeacherSalaryConfirmStatus implements BaseEnum<Integer, TeacherSalaryConfirmStatus> {
    UNCONFIRMED(1, "待确认"),
    CONFIRMED(2, "已确认"),
    COMPLETED(3, "已完成");

    private Integer code;

    private String desc;

    private TeacherSalaryConfirmStatus(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

}
